List agents
curl --request GET \
--url https://api.calibrate.artpark.ai/agents \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.calibrate.artpark.ai/agents"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"items": [
{
"uuid": "f47ac10b-58cc-4372-a567-0e02b2c3d479",
"name": "<string>",
"type": "agent",
"interaction_type": "conversation",
"created_at": "<string>",
"updated_at": "<string>",
"has_default_inputs": true,
"connection_verified": true
}
],
"total": 123,
"limit": 123,
"offset": 0
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Agents
List agents
Get the list of all your agents
GET
/
agents
List agents
curl --request GET \
--url https://api.calibrate.artpark.ai/agents \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.calibrate.artpark.ai/agents"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"items": [
{
"uuid": "f47ac10b-58cc-4372-a567-0e02b2c3d479",
"name": "<string>",
"type": "agent",
"interaction_type": "conversation",
"created_at": "<string>",
"updated_at": "<string>",
"has_default_inputs": true,
"connection_verified": true
}
],
"total": 123,
"limit": 123,
"offset": 0
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Authorizations
API key for authentication
Query Parameters
Case-insensitive substring search on name. Blank is a no-op
Maximum number of items to return. Omit for no limit (all items)
Required range:
1 <= x <= 1000000Number of items to skip before returning results
Required range:
x >= 0